<script setup>
import {defineProps, ref, reactive, onMounted} from 'vue';
import { useThemeStore } from "../../stores/theme";
import { useToastStore } from "../../stores/toast";


const themeStore = useThemeStore();
const toastStore = useToastStore();
// const props = defineProps({
//   message: String,
//   showToast: Boolean (false),
//   msgType: String,
//   time: Number
// })


const toastList = toastStore.getActiveToast


</script>

<template>
<!--  {{toastStore.toast}}-->
<!--  {{toastList}}-->
  <div class="absolute bottom-0 right-3 z-50 flex flex-col">
    <div v-if="toastStore.toast != null" v-for="(toast, index) in toastStore.toast"
         :class="themeStore.dark ? 'text-gray-400 bg-gray-700' : 'text-gray-600 bg-white'"
         class="xs:top-5 xs:left-5 md:bottom-5 md:right-5 xs:left-5 z-50 flex items-center max-w-xs p-4 md:mb-4 rounded-lg shadow" role="alert">
      <div v-if="toast.msgType === 'success'"
           :class="themeStore.dark ? 'bg-green-800 text-green-200' : 'text-green-500 bg-green-100'"
           class="inline-flex items-center justify-center flex-shrink-0 w-8 h-8 rounded-lg">
        <svg class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M16.707 5.293a1 1 0 010 1.414l-8 8a1 1 0 01-1.414 0l-4-4a1 1 0 011.414-1.414L8 12.586l7.293-7.293a1 1 0 011.414 0z" clip-rule="evenodd"></path></svg>
      </div>
      <div v-else
           :class="themeStore.dark ? 'bg-orange-800 text-orange-200' : 'text-orange-500 bg-orange-100'"
           class="inline-flex items-center justify-center flex-shrink-0 w-8 h-8 rounded-lg">
        <svg class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M8.257 3.099c.765-1.36 2.722-1.36 3.486 0l5.58 9.92c.75 1.334-.213 2.98-1.742 2.98H4.42c-1.53 0-2.493-1.646-1.743-2.98l5.58-9.92zM11 13a1 1 0 11-2 0 1 1 0 012 0zm-1-8a1 1 0 00-1 1v3a1 1 0 002 0V6a1 1 0 00-1-1z" clip-rule="evenodd"></path></svg>
      </div>
      <div class="ml-3 text-sm font-normal"> {{ toast.message }} </div>
      <button @click="toastStore.deleteToast(index)" type="button"
              :class="themeStore.dark ? 'text-gray-400 hover:text-white bg-gray-700 hover:bg-gray-700' : 'bg-white text-gray-400 hover:text-gray-900 hover:bg-gray-100'"
              class="ml-auto -mx-1.5 -my-1.5  rounded-lg focus:ring-2 focus:ring-gray-300 p-1.5  inline-flex h-8 w-8" data-dismiss-target="#toast-success" aria-label="Close">
        <span class="sr-only">Close</span>
        <svg class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z" clip-rule="evenodd"></path></svg>
      </button>
    </div>
  </div>
</template>

